Jack::JackPosixProcessSync Class Reference

A synchronization primitive built using a condition variable. More...

`#include <JackPosixProcessSync.h>`

Inheritance diagram for Jack::JackPosixProcessSync:

## Public Member Functions

| JackPosixProcessSync (const char *name=NULL)
bool | TimedWait (long usec)
bool | LockedTimedWait (long usec)
void | Wait ()
void | LockedWait ()
void | Signal ()
void | LockedSignal ()
void | SignalAll ()
void | LockedSignalAll ()
Public Member Functions inherited from Jack::JackBasePosixMutex
| JackBasePosixMutex (const char *name=NULL)
bool | Lock ()
bool | Trylock ()
bool | Unlock ()

## Additional Inherited Members

Protected Attributes inherited from Jack::JackBasePosixMutex
pthread_mutex_t | fMutex
pthread_t | fOwner

## Detailed Description

A synchronization primitive built using a condition variable.

Definition at line 35 of file JackPosixProcessSync.h.

The documentation for this class was generated from the following files:

- JackPosixProcessSync.h
- JackPosixProcessSync.cpp